Bug 485808 - left over dm devices after VG deactivation
left over dm devices after VG deactivation
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: LVM and device-mapper development team
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2009-02-16 15:34 EST by Corey Marthaler
Modified: 2010-12-23 10:05 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-23 10:05:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2009-02-16 15:34:41 EST
Description of problem:
I was almost certain that there was a bz opened for this issue but I couldn't find it.

After deactivating all 4 VGs on that hayes cluster, there were still left over dm devices from the mirror that was active. I saw this while running the test activator.

[lvm_cluster_test] [lvm_cluster_activation] [lvm_cluster_activator] Iteration 5 of 25 started at Mon Feb 16 11:54:32 CST 2009                                                                                           
[lvm_cluster_test] [lvm_cluster_activation] [lvm_cluster_activator] Deactivating volume activator1 on hayes-01                                                                                                          
[lvm_cluster_test] [lvm_cluster_activation] [lvm_cluster_activator] Deactivating volume activator2 on hayes-01                                                                                                          
[lvm_cluster_test] [lvm_cluster_activation] [lvm_cluster_activator] Deactivating volume activator3 on hayes-03                                                                                                          
[lvm_cluster_test] [lvm_cluster_activation] [lvm_cluster_activator] Deactivating volume activator4 on hayes-03                                                                                                          
[lvm_cluster_test] [lvm_cluster_activation] [lvm_cluster_activator] Verifying that all volumes are deactivated                                                                                                          
[lvm_cluster_test] [lvm_cluster_activation] [lvm_cluster_activator] Verifying that all volumes nolonger exist in device-mapper                                                                                          
[lvm_cluster_test] [lvm_cluster_activation] [lvm_cluster_activator] not all volumes had their dm entries removed on hayes-03  

[root@hayes-01 init.d]# dmsetup ls
VolGroup00-LogVol01     (253, 1)
VolGroup00-LogVol00     (253, 0)

[root@hayes-02 init.d]# dmsetup ls
VolGroup00-LogVol01     (253, 1)
VolGroup00-LogVol00     (253, 0)

[root@hayes-03 init.d]# dmsetup ls
activator1-mirror3_mlog (253, 16)
activator1-mirror3_mimage_1     (253, 18)
activator1-mirror3_mimage_0     (253, 17)
VolGroup00-LogVol01     (253, 1)
VolGroup00-LogVol00     (253, 0)

Version-Release number of selected component (if applicable):

lvm2-2.02.42-2.el4    BUILT: Thu Jan 15 12:48:25 CST 2009
lvm2-cluster-2.02.42-1.el4    BUILT: Tue Dec 16 13:16:35 CST 2008
device-mapper-1.02.28-1.el4    BUILT: Tue Dec 16 02:57:37 CST 2008
cmirror-1.0.1-1    BUILT: Tue Jan 30 17:28:02 CST 2007
cmirror-kernel-2.6.9-43.7.el4    BUILT: Tue Feb  3 16:00:34 CST 2009
Comment 1 Jonathan Earl Brassow 2009-03-30 17:33:35 EDT
Comment 2 Dean Jansa 2009-05-08 11:16:14 EDT
I hit this in the 4.8 regression tests:

[lvm_cluster_test] [lvm_cluster_mirror] [lvm_cluster_mirror_sanity] Deactivating mirror mirror_on_1Kextent_vg... and removing
[lvm_cluster_test] [lvm_cluster_mirror] [lvm_cluster_mirror_sanity] all mirror_on_1Kextent_vg mirror images weren't removed from dm on link-13

[root@link-13 ~]# dmsetup ls
mirror_sanity-mirror_on_1Kextent_vg_mimage_1    (253, 4)
mirror_sanity-mirror_on_1Kextent_vg_mimage_0    (253, 3)
VolGroup00-LogVol01     (253, 1)
VolGroup00-LogVol00     (253, 0)

Comment 3 Corey Marthaler 2009-06-23 11:56:52 EDT
reproduced during 4.8.z testing.

[lvm_cluster_mirror] [lvm_cluster_mirror_sanity] SCENARIO - [timed_mirror_mounts]                                             
[lvm_cluster_mirror] [lvm_cluster_mirror_sanity] Create regular and upconverted mirror then time how long it takes to mount each                                                                                                                            
[lvm_cluster_mirror] [lvm_cluster_mirror_sanity] grant-03: lvcreate -m 1 -n timed_mount -L 1G --nosync mirror_sanity          
[lvm_cluster_mirror] [lvm_cluster_mirror_sanity]   WARNING: New mirror won't be synchronised. Don't read what you didn't write!                                                                                                                             
[lvm_cluster_mirror] [lvm_cluster_mirror_sanity] Placing an ext filesystem on timed_mount volume                              
[lvm_cluster_mirror] [lvm_cluster_mirror_sanity] mke2fs 1.35 (28-Feb-2004)                                                    
[lvm_cluster_mirror] [lvm_cluster_mirror_sanity] Mount mirror volume and time it                                              
[lvm_cluster_mirror] [lvm_cluster_mirror_sanity] Unmount mirror volume                                                        
[lvm_cluster_mirror] [lvm_cluster_mirror_sanity] Down convert and then up convert mirror volume                               
[lvm_cluster_mirror] [lvm_cluster_mirror_sanity] Mount mirror volume again and time it                                        
[lvm_cluster_mirror] [lvm_cluster_mirror_sanity] Unmount mirror volume                                                        
[lvm_cluster_mirror] [lvm_cluster_mirror_sanity] Deactivating mirror timed_mount... and removing                              
[lvm_cluster_mirror] [lvm_cluster_mirror_sanity] all timed_mount mirror images weren't removed from dm on grant-02        

[root@grant-02 ~]# lvs -a -o +devices
  LV       VG         Attr   LSize  Origin Snap%  Move Log Copy%  Convert Devices        
  LogVol00 VolGroup00 -wi-ao 64.56G                                       /dev/sda2(0)   
  LogVol01 VolGroup00 -wi-ao  9.81G                                       /dev/sda2(2066)
[root@grant-02 ~]# dmsetup ls
mirror_sanity-timed_mount_mimage_0      (253, 3)
mirror_sanity-timed_mount_mlog  (253, 2)
VolGroup00-LogVol01     (253, 1)
VolGroup00-LogVol00     (253, 0)
mirror_sanity-timed_mount_mimage_1      (253, 4)


lvm2-2.02.42-5.el4_8.2    BUILT: Tue Jun 16 06:10:57 CDT 2009
lvm2-cluster-2.02.42-5.el4    BUILT: Tue Mar 24 16:54:57 CDT 2009
device-mapper-1.02.28-2.el4    BUILT: Fri Feb 20 05:09:48 CST 2009
cmirror-1.0.2-1.el4    BUILT: Thu Feb 26 15:29:27 CST 2009
cmirror-kernel-2.6.9-43.12.el4    BUILT: Tue May  5 14:26:24 CDT 2009
Comment 4 Jaroslav Kortus 2009-11-03 12:56:31 EST
Just hit the same error:
[lvm_cluster_test] [lvm_cluster_activation] [lvm_cluster_activator] Verifying that all volumes nolonger exist in device-mapper
[lvm_cluster_test] [lvm_cluster_activation] [lvm_cluster_activator] not all volumes had their dm entries removed on a2

I'm hitting this quite regularly on ia64.

[root@a1 ~]# uname -a
Linux a1 2.6.9-89.0.15.EL #1 SMP Sat Oct 10 05:47:39 EDT 2009 ia64 ia64 ia64 GNU/Linux
[root@a1 ~]# rpm -q lvm2 lvm2-cluster device-mapper cmirror cmirror-kernel

Note You need to log in before you can comment on or make changes to this bug.